Bug 1012806 - Argument Error: while associating contents to CV
Argument Error: while associating contents to CV
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 03:50 EDT by Sachin Ghai
Modified: 2014-04-24 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
argument error when you try to associate contents to CV after defining multiple puppet-repos (66.67 KB, image/png)
2013-09-27 03:50 EDT, Sachin Ghai
no flags Details
error log (16.80 KB, text/plain)
2013-09-27 03:52 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-09-27 03:50:31 EDT
Created attachment 803805 [details]
argument error when you try to associate contents to CV after defining multiple puppet-repos

Description of problem:
UI raised following error on UI:

--
wrong number of arguments (1 for 0) (ArgumentError)
Click here for more details.
--

Version-Release number of selected component (if applicable):
katello-1.4.7-1.git.27.a8e92b3.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a product (p1) and define puppet repo (r1)
2. Create content-view definition
3. Go to contents, you can easily select the puppet repo there.
4. Now again, create a product (p2) and puppet repo (r2)
5. Repeat step 3

Actual results:
wrong number of arguments (1 for 0) (ArgumentError)
Click here for more details.

Expected results:
User should be able to open content tabs without any error.

Additional info:
Comment 2 Sachin Ghai 2013-09-27 03:52:08 EDT
Created attachment 803806 [details]
error log
Comment 4 Brad Buckingham 2013-09-27 09:23:38 EDT
katello pull request: 

https://github.com/Katello/katello/pull/3051
Comment 7 Corey Welton 2013-10-04 14:10:37 EDT
QA Verified in Satellite-6.0.2-RHEL-6-20131003.2

User is able to select a variety of different puppet repos if such exist
Comment 8 Bryan Kearney 2014-04-24 13:09:20 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:10:51 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.